AplasAplas API Reference

Get a relationship type

GET
/workspaces/{workspaceId}/relationship-types/{relationshipTypeId}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

workspaceId*string

The workspace's slug.

relationshipTypeId*string

The relationship type's slug.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.au.aplas.com/api/v3/workspaces/string/relationship-types/string"
{
  "id": "string",
  "name": "string",
  "reverseName": "string",
  "description": "string",
  "isBuiltIn": true
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}